;-----------------------------------------------------------------------
PRO showlight,f,t,light=light
;
; Use a greyscale track to show a path
;
;  erase
;  boxes,t                                                 ; draw partial boxes
  if n_elements(light) eq 0 then light=0                ; default = x axis
  fmin=min(f[*,light])                                  ; min coordinate
  fmax=max(f[*,light])                                  ; max coordinate
  s=size(f)                                             ; e.g. s=[2,3,1000]
  l=!d.table_size-1                                     ; size of color table
  c=(f[*,light]-fmin)/(fmax-fmin)                       ; scale color
  c=long(2+(l-3)*c)                                     ; map to [1,l-1]
  !p.t=t(*,*,0)                                         ; left
  plots,f[0,*],f[1,*],f[2,*],/t3d,/norm,color=c         ; tail
  !p.t=t(*,*,1)                                         ; right
  plots,f[0,*],f[1,*],f[2,*],/t3d,/norm,color=c         ; tail
  wait,0.                                               ; flush graphics
END
