;-----------------------------------------------------------------------
PRO box,size,step,color
  for i=-size,size,step do begin
    plots,[size,-size],[i,i,i],[0,0],$                  ; xy+yz
      /norm,/t3d,color=color
    plots,[i,i,i],[-size,size,size],[0,0,2*size],$      ; xy+xz
       /norm,/t3d,color=color
    plots,[size,-size],[size,size],size+[i,i],$         ; xz+yz
      /norm,/t3d,color=color
  end
END

;-----------------------------------------------------------------------
PRO boxes,t,size=size,step=step,color=color
;
;  Plot two half boxes in 3D perspective
;
  if n_elements(size) eq 0 then size=20                 ; empirical
  if n_elements(step) eq 0 then step=size               ; no extra grid lines
  if n_elements(color) eq 0 then color=200              ; default color

  !p.t=t(*,*,0)                                         ; left center
  box,size,step,color                                   ; make a box
  !p.t=t(*,*,1)                                         ; right center
  box,size,step,color                                   ; make a box
END
