;-----------------------------------------------------------------------
PRO showcolor,f,t
;
; Use a greyscale track to show a path
;
;  erase
;  boxes,t                                                 ; draw partial boxes
  sz=size(f)                                            ; e.g. s=[2,3,1000]
  l=!d.table_size-1                                     ; size of color table
  c0=2
  c=c0+(l-c0-4)*findgen(sz[2])/sz[2]                      ; scale color
  tvlct,/get,r1,g1,b1
  loadct,39
  tvlct,/get,r2,g2,b2
  i=[0,1,2,l]
  r2[i]=r1[i]
  g2[i]=g1[i]
  b2[i]=b1[i]
  tvlct,r2,g2,b2
  !p.t=t(*,*,0)                                         ; left
  plots,f[0,*],f[1,*],f[2,*],/t3d,/norm,color=c         ; tail
  !p.t=t(*,*,1)                                         ; right
  plots,f[0,*],f[1,*],f[2,*],/t3d,/norm,color=c         ; tail
  wait,0.                                               ; flush graphics
END
